<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Timeout</title>
</head>
<body>

  <div>
    <!--<h1 id="timer">Han pasado 0 segundos</h1>-->
    <h1></h1>
    <button id="cancel-button">Cancel</button>
  </div>

  <script>
    //setTimeout(que vamos a hacer, en cuanto tiempo?)
    /*setTimeout(() => {
      //Se puede hacer lo que sea, lo que quieras hacer con el timeout
      console.log('Ha pasado 5 segundos');
    }), 5000)*/

    /*setInterval = se usa para ejecutar codigo o una accion cada cierto tiempo
      setInterval(que voy a hacer?, cada cuanto tiempo debo hacerlo)
    */
    /*const timer = document.getElementById('timer');
    let counter = 0
    setInterval(() => {
      counter++;
      let mensaje = (counter === 1) ? `Han pasado ${counter} segundo` : `Ha pasado ${counter} segundos`;
      timer.textContent = mensaje;
    }, 1000)*/


    //Para detener el timeout se hace con clearTimeout(timeout)
    //con setInterval para detenerlo se hace con el metodo: clearInterval(interval)
    const $cancelButton = document.getElementById('cancel-button')

    const timeout = setTimeout(() => {
      alert('Han pasado 5 segundos')
    }, 5000)

    //$cancelButton.addEventListener(que evento, que hago?)
    $cancelButton.addEventListener('click', () => {
      clearTimeout(timeout)
    })

  </script>
</body>
</html>
